Skip to content

FLOW_CallApi.DTO_Response

Class

apex
global inherited sharing class FLOW_CallApi.DTO_Response

Data Transfer Object representing the web service response or errors.

Since: 1.0


Fields

FieldDescription
global String apiCallIdThe ID of the ApiCall__c record for this callout.
global String extractedValueThe value extracted from the JSON response using the specified JSONPath.
global String responseBodyThe JSON payload containing the response body or failure message.
global Boolean successWhether the API callout completed successfully.

Field Details

apiCallId

apex
@InvocableVariable(description='Id of the API Call record for the callout' label='API Call Id') global String apiCallId

Type: String

The ID of the ApiCall__c record for this callout.

Since: 1.0

extractedValue

apex
@InvocableVariable(description='The extracted element from the JSON response' label='Extracted Value') global String extractedValue

Type: String

The value extracted from the JSON response using the specified JSONPath.

Since: 1.0

responseBody

apex
@InvocableVariable(description='The JSON payload containing the response of the callout or failure message if applicable' label='Response Body') global String responseBody

Type: String

The JSON payload containing the response body or failure message.

Since: 1.0

success

apex
@InvocableVariable(description='A boolean representation of the success or failure of the callout' label='API Response Success Indicator') global Boolean success

Type: Boolean

Whether the API callout completed successfully.

Since: 1.0